diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 432cdd7e..4f3b1449 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1411,17 +1436,16 @@
       Backform.Control.prototype.render.apply(this, arguments);
 
       this.sqlCtrl = CodeMirror.fromTextArea(
-        (this.$el.find("textarea")[0]), {
-        lineNumbers: true,
-        lineWrapping: true,
-        mode: "text/x-pgsql",
-        readOnly: true,
-        extraKeys: pgAdmin.Browser.editor_shortcut_keys,
-        tabSize: pgAdmin.Browser.editor_options.tabSize,
-        lineWrapping: pgAdmin.Browser.editor_options.wrapCode,
-        autoCloseBrackets: pgAdmin.Browser.editor_options.insert_pair_brackets,
-        matchBrackets: pgAdmin.Browser.editor_options.brace_matching
-      });
+        (this.$el.find('textarea')[0]), {
+          lineNumbers: true,
+          mode: 'text/x-pgsql',
+          readOnly: true,
+          extraKeys: pgAdmin.Browser.editor_shortcut_keys,
+          tabSize: pgAdmin.Browser.editor_options.tabSize,
+          lineWrapping: pgAdmin.Browser.editor_options.wrapCode,
+          autoCloseBrackets: pgAdmin.Browser.editor_options.insert_pair_brackets,
+          matchBrackets: pgAdmin.Browser.editor_options.brace_matching,
+        });
 
       /*
        * We will listen to the tab change event to check, if the SQL tab has
@@ -1439,17 +1463,17 @@
 
         // We will send a request to the sever only if something has changed
         // in a model and also it does not contain any error.
-        if(this.model.sessChanged()) {
+        if (this.model.sessChanged()) {
           if (_.size(this.model.errorModel.attributes) == 0) {
             var self = this,
-                node = self.field.get('schema_node'),
-                msql_url = node.generate_url.apply(
-                  node, [
-                    null, 'msql', this.field.get('node_data'), !self.model.isNew(),
-                    this.field.get('node_info')
-                  ]);
-
-                  // Fetching the modified SQL
+              node = self.field.get('schema_node'),
+              msql_url = node.generate_url.apply(
+                node, [
+                  null, 'msql', this.field.get('node_data'), !self.model.isNew(),
+                  this.field.get('node_info'),
+                ]);
+
+            // Fetching the modified SQL
             self.model.trigger('pgadmin-view:msql:fetching', self.method, node);
 
             $.ajax({
@@ -1457,8 +1481,8 @@
               type: 'GET',
               cache: false,
               data: self.model.toJSON(true, 'GET'),
-              dataType: "json",
-              contentType: "application/json"
+              dataType: 'json',
+              contentType: 'application/json',
             }).done(function(res) {
               self.sqlCtrl.clearHistory();
               self.sqlCtrl.setValue(res.data);
@@ -1481,16 +1505,16 @@
     onPanelResized: function(o) {
       if (o && o.container) {
         var $tabContent = o.container.find(
-              '.backform-tab > .tab-content'
-            ).first(),
-            $sqlPane = $tabContent.find(
-              'div[role=tabpanel].tab-pane.SQL'
-            );
+            '.backform-tab > .tab-content'
+          ).first(),
+          $sqlPane = $tabContent.find(
+            'div[role=tabpanel].tab-pane.SQL'
+          );
         if ($sqlPane.hasClass('active')) {
           $sqlPane.find('.CodeMirror').css(
             'cssText',
             'height: ' + ($tabContent.height() + 8) + 'px !important;'
-          )
+          );
         }
       }
     },
@@ -1506,20 +1530,20 @@
       this.model.off('pg-browser-resized', this.onPanelResized, this);
 
       Backform.Control.__super__.remove.apply(this, arguments);
-    }
-});
-   /*
+    },
+  });
+  /*
    * Numeric input Control functionality just like backgrid
    */
-  var NumericControl = Backform.NumericControl = Backform.InputControl.extend({
+  Backform.NumericControl = Backform.InputControl.extend({
     defaults: {
-      type: "number",
-      label: "",
+      type: 'number',
+      label: '',
       min: undefined,
       max: undefined,
       maxlength: 255,
       extraClasses: [],
-      helpMessage: null
+      helpMessage: null,
     },
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
@@ -1528,8 +1552,8 @@
       '  <% if (helpMessage && helpMessage.length) { %>',
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
-      '</div>'
-    ].join("\n"))
+      '</div>',
+    ].join('\n')),
   });
 
   ///////
@@ -1537,37 +1561,39 @@
   //
   // It will be used by the grid, properties, and dialog view generation
   // functions.
-  var generateViewSchema = Backform.generateViewSchema = function(
-      node_info, Model, mode, node, treeData, noSQL, subschema
-      ) {
+  Backform.generateViewSchema = function(
+    node_info, Model, mode, node, treeData, noSQL, subschema
+  ) {
     var proto = (Model && Model.prototype) || Model,
-        schema = subschema || (proto && proto.schema),
-        pgBrowser = window.pgAdmin.Browser, fields = [],
-        groupInfo = {};
+      schema = subschema || (proto && proto.schema),
+      pgBrowser = window.pgAdmin.Browser,
+      fields = [],
+      groupInfo = {};
 
     // 'schema' has the information about how to generate the form.
     if (schema && _.isArray(schema)) {
       var evalASFunc = evalASFunc = function(prop) {
         return ((prop && proto[prop] &&
-              typeof proto[prop] == "function") ? proto[prop] : prop);
+          typeof proto[prop] == 'function') ? proto[prop] : prop);
       };
       var groups = {},
-          server_info = node_info && ('server' in node_info) &&
-            pgBrowser.serverInfo && pgBrowser.serverInfo[node_info.server._id],
-          in_catalog = node_info && ('catalog' in node_info);
+        server_info = node_info && ('server' in node_info) &&
+        pgBrowser.serverInfo && pgBrowser.serverInfo[node_info.server._id],
+        in_catalog = node_info && ('catalog' in node_info),
+        ver_in_limit;
 
       _.each(schema, function(s) {
         // Do we understand - what control, we're creating
         // here?
         if (s.type == 'group') {
-          var ver_in_limit = (_.isUndefined(server_info) ? true :
-              ((_.isUndefined(s.server_type) ? true :
+          var visible = true;
+          ver_in_limit = (_.isUndefined(server_info) ? true :
+            ((_.isUndefined(s.server_type) ? true :
                 (server_info.type in s.server_type)) &&
               (_.isUndefined(s.min_version) ? true :
-               (server_info.version >= s.min_version)) &&
+                (server_info.version >= s.min_version)) &&
               (_.isUndefined(s.max_version) ? true :
-               (server_info.version <= s.max_version)))),
-              visible = true;
+                (server_info.version <= s.max_version))));
 
           if (s.mode && _.isObject(s.mode))
             visible = (_.indexOf(s.mode, mode) > -1);
@@ -1577,18 +1603,18 @@
           groupInfo[s.id] = {
             label: s.label || s.id,
             version_compatible: ver_in_limit,
-            visible: visible
+            visible: visible,
           };
           return;
         }
 
         if (!s.mode || (s && s.mode && _.isObject(s.mode) &&
-          _.indexOf(s.mode, mode) != -1)) {
+            _.indexOf(s.mode, mode) != -1)) {
           // Each field is kept in specified group, or in
           // 'General' category.
           var group = s.group || gettext('General'),
-              control = s.control || Backform.getMappedControl(s.type, mode),
-              cell =  s.cell || Backform.getMappedControl(s.type, 'cell');
+            control = s.control || Backform.getMappedControl(s.type, mode),
+            cell = s.cell || Backform.getMappedControl(s.type, 'cell');
 
           if (control == null) {
             return;
@@ -1596,16 +1622,19 @@
 
           // Generate the empty group list (if not exists)
           groups[group] = (groups[group] || []);
-          var ver_in_limit = (_.isUndefined(server_info) ? true :
-                ((_.isUndefined(s.server_type) ? true :
-                  (server_info.type in s.server_type)) &&
-                (_.isUndefined(s.min_version) ? true :
-                 (server_info.version >= s.min_version)) &&
-                (_.isUndefined(s.max_version) ? true :
-                 (server_info.version <= s.max_version)))),
-              disabled = ((mode == 'properties') || !ver_in_limit || in_catalog),
-              schema_node = (s.node && _.isString(s.node) &&
-                  s.node in pgBrowser.Nodes &&  pgBrowser.Nodes[s.node]) || node;
+          ver_in_limit = (_.isUndefined(server_info) ? true :
+            ((_.isUndefined(s.server_type) ? true :
+                (server_info.type in s.server_type)) &&
+              (_.isUndefined(s.min_version) ? true :
+                (server_info.version >= s.min_version)) &&
+              (_.isUndefined(s.max_version) ? true :
+                (server_info.version <= s.max_version))));
+
+          var disabled = (
+              (mode == 'properties') || !ver_in_limit || in_catalog
+            ),
+            schema_node = (s.node && _.isString(s.node) &&
+              s.node in pgBrowser.Nodes && pgBrowser.Nodes[s.node]) || node;
 
           var o = _.extend(_.clone(s), {
             name: s.id,
@@ -1613,9 +1642,9 @@
 
             disabled: (disabled ? true : evalASFunc(s.disabled)),
             editable: _.isUndefined(s.editable) ?
-                pgAdmin.editableCell : evalASFunc(s.editable),
+              pgAdmin.editableCell : evalASFunc(s.editable),
             subnode: ((_.isString(s.model) && s.model in pgBrowser.Nodes) ?
-                pgBrowser.Nodes[s.model].model : s.model),
+              pgBrowser.Nodes[s.model].model : s.model),
             canAdd: (disabled ? false : evalASFunc(s.canAdd)),
             canAddRow: (disabled ? false : evalASFunc(s.canAddRow)),
             canEdit: (disabled ? false : evalASFunc(s.canEdit)),
@@ -1632,7 +1661,7 @@
             visible: evalASFunc(s.visible),
             node: node,
             node_data: treeData,
-            version_compatible: ver_in_limit
+            version_compatible: ver_in_limit,
           });
           delete o.id;
 
@@ -1645,8 +1674,8 @@
             delete o.cell;
 
             o.schema = Backform.generateViewSchema(
-                node_info, Model, mode, node, treeData, true, s.schema
-                );
+              node_info, Model, mode, node, treeData, true, s.schema
+            );
             o.control = o.control || 'tab';
           }
         }
@@ -1660,14 +1689,14 @@
 
       if (!noSQL && node && node.hasSQL && (mode == 'create' || mode == 'edit')) {
         groups[gettext('SQL')] = [{
-            name: 'sql',
-            visible: true,
-            disabled: false,
-            type: 'text',
-            control: 'sql-tab',
-            node_info: node_info,
-            schema_node: node,
-            node_data: treeData
+          name: 'sql',
+          visible: true,
+          disabled: false,
+          type: 'text',
+          control: 'sql-tab',
+          node_info: node_info,
+          schema_node: node,
+          node_data: treeData,
         }];
       }
 
@@ -1677,10 +1706,16 @@
         fields.push(
           _.extend(
             _.defaults(
-              groupInfo[key] || {label: key},
-              {version_compatible: true, visible: true}
-            ), {fields: val})
-          );
+              groupInfo[key] || {
+                label: key,
+              }, {
+                version_compatible: true,
+                visible: true,
+              }
+            ), {
+              fields: val,
+            })
+        );
       });
     }
 
@@ -1689,32 +1724,32 @@
 
   var Select2Formatter = function() {};
   _.extend(Select2Formatter.prototype, {
-    fromRaw: function(rawData, model) {
+    fromRaw: function(rawData) {
       return encodeURIComponent(rawData);
     },
-    toRaw: function(formattedData, model) {
+    toRaw: function(formattedData) {
       if (_.isArray(formattedData)) {
         return _.map(formattedData, decodeURIComponent);
       } else {
-        if(!_.isNull(formattedData) && !_.isUndefined(formattedData)) {
+        if (!_.isNull(formattedData) && !_.isUndefined(formattedData)) {
           return decodeURIComponent(formattedData);
         } else {
           return null;
         }
       }
-    }
+    },
   });
 
   /*
    *  Backform Select2 control.
    */
-  var Select2Control = Backform.Select2Control = Backform.SelectControl.extend({
+  Backform.Select2Control = Backform.SelectControl.extend({
     defaults: _.extend({}, Backform.SelectControl.prototype.defaults, {
       select2: {
         first_empty: true,
         multiple: false,
-        emptyOptions: false
-      }
+        emptyOptions: false,
+      },
     }),
     formatter: Select2Formatter,
     template: _.template([
@@ -1739,52 +1774,52 @@
       ' <% if (helpMessage && helpMessage.length) { %>',
       ' <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       ' <% } %>',
-      '</div>'
-    ].join("\n")),
+      '</div>',
+    ].join('\n')),
     render: function() {
 
-      if(this.$sel && this.$sel.select2 &&
+      if (this.$sel && this.$sel.select2 &&
         this.$sel.select2.hasOwnProperty('destroy')) {
         this.$sel.select2('destroy');
       }
 
       var field = _.defaults(this.field.toJSON(), this.defaults),
-          attributes = this.model.toJSON(),
-          attrArr = field.name.split('.'),
-          name = attrArr.shift(),
-          path = attrArr.join('.'),
-          rawValue = this.keyPathAccessor(attributes[name], path),
-          data = _.extend(field, {
-            rawValue: rawValue,
-            value: this.formatter.fromRaw(rawValue, this.model),
-            attributes: attributes,
-            formatter: this.formatter
-          }),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+        attributes = this.model.toJSON(),
+        attrArr = field.name.split('.'),
+        name = attrArr.shift(),
+        path = attrArr.join('.'),
+        rawValue = this.keyPathAccessor(attributes[name], path),
+        data = _.extend(field, {
+          rawValue: rawValue,
+          value: this.formatter.fromRaw(rawValue, this.model),
+          attributes: attributes,
+          formatter: this.formatter,
+        }),
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       data.select2 = data.select2 || {};
       _.defaults(data.select2, this.defaults.select2, {
         first_empty: true,
         multiple: false,
-        emptyOptions: false
+        emptyOptions: false,
       });
 
       // Evaluate the disabled, visible, and required option
       _.extend(data, {
         disabled: evalF(data.disabled, data, this.model),
-        visible:  evalF(data.visible, data, this.model),
-        required: evalF(data.required, data, this.model)
+        visible: evalF(data.visible, data, this.model),
+        required: evalF(data.required, data, this.model),
       });
 
       // Evaluation the options
       if (_.isFunction(data.options)) {
         try {
-          data.options = data.options(this)
-        } catch(e) {
+          data.options = data.options(this);
+        } catch (e) {
           // Do nothing
-          data.options = []
+          data.options = [];
           this.model.trigger(
             'pgadmin-view:transform:error', this.model, this.field, e
           );
@@ -1800,13 +1835,13 @@
       this.$el.html(this.template(data)).addClass(field.name);
 
       var select2Opts = _.extend({
-              disabled: data.disabled
-            }, field.select2, {
-                options: (this.field.get('options') || this.defaults.options)
-            });
+        disabled: data.disabled,
+      }, field.select2, {
+        options: (this.field.get('options') || this.defaults.options),
+      });
 
       // If disabled then no need to show placeholder
-      if(data.disabled || data.mode === 'properties') {
+      if (data.disabled || data.mode === 'properties') {
         select2Opts['placeholder'] = '';
       }
 
@@ -1819,7 +1854,7 @@
         select2Opts.data = data.rawValue;
       }
 
-      this.$sel = this.$el.find("select").select2(select2Opts);
+      this.$sel = this.$el.find('select').select2(select2Opts);
 
       // Add or remove tags from select2 control
       if (data.select2.tags && data.select2.emptyOptions) {
@@ -1827,7 +1862,7 @@
         this.$sel.trigger('change.select2');
         this.$sel.on('select2:unselect', function(evt) {
 
-          $(this).find('option[value="'+evt.params.data.text.replace("'","\\'").replace('"','\\"')+'"]').remove();
+          $(this).find('option[value="' + evt.params.data.text.replace('\'', '\\\'').replace('"', '\\"') + '"]').remove();
           $(this).trigger('change.select2');
           if ($(this).val() == null) {
             $(this).empty();
@@ -1839,7 +1874,7 @@
 
       // Select the highlighted item on Tab press.
       if (this.$sel) {
-        this.$sel.data('select2').on("keypress", function(ev) {
+        this.$sel.data('select2').on('keypress', function(ev) {
           var self = this;
 
           // keycode 9 is for TAB key
@@ -1856,25 +1891,27 @@
     },
     getValueFromDOM: function() {
       var val = Backform.SelectControl.prototype.getValueFromDOM.apply(
-                  this, arguments
-                ),
-        select2Opts = _.extend({}, this.field.get("select2") || this.defaults.select2);
+          this, arguments
+        ),
+        select2Opts = _.extend({}, this.field.get('select2') || this.defaults.select2);
 
       if (select2Opts.multiple && val == null) {
         return [];
       }
       return val;
-    }
+    },
   });
 
-  var FieldsetControl = Backform.FieldsetControl = Backform.Fieldset.extend({
+  Backform.FieldsetControl = Backform.Fieldset.extend({
     initialize: function(opts) {
       Backform.Control.prototype.initialize.apply(
         this, arguments
-        );
+      );
       Backform.Dialog.prototype.initialize.apply(
-        this, [{schema: opts.field.get('schema')}]
-        );
+        this, [{
+          schema: opts.field.get('schema'),
+        }]
+      );
       this.dialog = opts.dialog;
       this.tabIndex = opts.tabIndex;
 
@@ -1886,7 +1923,7 @@
         _.each(deps, function(d) {
           var attrArr = d.split('.'),
             name = attrArr.shift();
-          self.listenTo(self.model, "change:" + name, self.render);
+          self.listenTo(self.model, 'change:' + name, self.render);
         });
       }
     },
@@ -1894,14 +1931,14 @@
     orig_render: Backform.Fieldset.prototype.render,
     render: function() {
       var field = _.defaults(this.field.toJSON(), this.defaults),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       if (!field.version_compatible ||
-          !evalF(field.visible, field, this.model)) {
+        !evalF(field.visible, field, this.model)) {
         this.cleanup();
-        this.$el.empty()
+        this.$el.empty();
       } else {
         this.orig_render.apply(this, arguments);
       }
@@ -1924,36 +1961,32 @@
     fieldsetClass: 'inline-fieldset',
     legendClass: '',
     contentClass: '',
-    collapse: false
+    collapse: false,
   });
 
-
   // Backform Tab Control (in bootstrap tabbular)
   // A collection of field models.
-  var TabControl = Backform.TabControl = Backform.FieldsetControl.extend({
-    tagName: "div",
+  Backform.TabControl = Backform.FieldsetControl.extend({
+    tagName: 'div',
     className: 'inline-tab-panel',
     tabPanelClassName: 'inline-tab-panel',
     initialize: function(opts) {
       Backform.FieldsetControl.prototype.initialize.apply(
         this, arguments
-        );
+      );
       this.tabIndex = (opts.tabIndex || parseInt(Math.random() * 1000)) + 1;
     },
     // Render using Backform.Dialog (tabular UI) (only if this control is
     // visible).
     orig_render: Backform.Dialog.prototype.render,
-    template: Backform.Dialog.prototype.template
+    template: Backform.Dialog.prototype.template,
   });
 
-
   // Backform Tab Control (in bootstrap tabbular)
   // A collection of field models.
-  var PlainFieldsetControl = Backform.PlainFieldsetControl = Backform.FieldsetControl.extend({
-    initialize: function(opts) {
-      Backform.FieldsetControl.prototype.initialize.apply(
-        this, arguments
-        );
+  Backform.PlainFieldsetControl = Backform.FieldsetControl.extend({
+    initialize: function() {
+      Backform.FieldsetControl.prototype.initialize.apply(this, arguments);
     },
     template: {
       'header': _.template([
@@ -1961,11 +1994,12 @@
         ' <% if (legend != false) { %>',
         '  <legend class="<%=legendClass%>" <%=collapse ? "data-toggle=\'collapse\'" : ""%> data-target="#<%=cId%>"><%=collapse ? "<span class=\'caret\'></span>" : "" %></legend>',
         ' <% } %>',
-        '</fieldset>'
-      ].join("\n")),
+        '</fieldset>',
+      ].join('\n')),
       'content': _.template(
         '  <div id="<%= cId %>" class="<%=contentClass%>"></div>'
-    )},
+      ),
+    },
     fieldsetClass: 'inline-fieldset-without-border',
     legend: false,
   });
@@ -1973,14 +2007,14 @@
   /*
    * Control For Code Mirror SQL text area.
    */
-  var SqlFieldControl = Backform.SqlFieldControl = Backform.TextareaControl.extend({
+  Backform.SqlFieldControl = Backform.TextareaControl.extend({
 
     defaults: {
-      label: "",
+      label: '',
       extraClasses: [], // Add default control height
       helpMessage: null,
       maxlength: 4096,
-      rows: undefined
+      rows: undefined,
     },
 
     // Customize template to add new styles
@@ -1995,13 +2029,13 @@
       '  <% if (helpMessage && helpMessage.length) { %>',
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
-      '</div>'
-    ].join("\n")),
+      '</div>',
+    ].join('\n')),
 
     /*
      * Initialize the SQL Field control properly
      */
-    initialize: function(o) {
+    initialize: function() {
       Backform.TextareaControl.prototype.initialize.apply(this, arguments);
       this.sqlCtrl = null;
 
@@ -2029,42 +2063,42 @@
       Backform.TextareaControl.prototype.render.apply(this, arguments);
 
       var field = _.defaults(this.field.toJSON(), this.defaults),
-          attributes = this.model.toJSON(),
-          attrArr = field.name.split('.'),
-          name = attrArr.shift(),
-          path = attrArr.join('.'),
-          rawValue = this.keyPathAccessor(attributes[name], path),
-          data = _.extend(field, {
-            rawValue: rawValue,
-            value: this.formatter.fromRaw(rawValue, this.model),
-            attributes: attributes,
-            formatter: this.formatter
-          }),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+        attributes = this.model.toJSON(),
+        attrArr = field.name.split('.'),
+        name = attrArr.shift(),
+        path = attrArr.join('.'),
+        rawValue = this.keyPathAccessor(attributes[name], path),
+        data = _.extend(field, {
+          rawValue: rawValue,
+          value: this.formatter.fromRaw(rawValue, this.model),
+          attributes: attributes,
+          formatter: this.formatter,
+        }),
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       // Evaluate the disabled, visible option
       var isDisabled = evalF(data.disabled, data, this.model),
-          isVisible = evalF(data.visible, data, this.model),
-          self = this;
+        isVisible = evalF(data.visible, data, this.model),
+        self = this;
 
       self.sqlCtrl = CodeMirror.fromTextArea(
-            (self.$el.find("textarea")[0]), {
-            lineNumbers: true,
-            mode: "text/x-pgsql",
-            extraKeys: pgAdmin.Browser.editor_shortcut_keys,
-            indentWithTabs: pgAdmin.Browser.editor_options.indent_with_tabs,
-            indentUnit: pgAdmin.Browser.editor_options.tabSize,
-            tabSize: pgAdmin.Browser.editor_options.tabSize,
-            lineWrapping: pgAdmin.Browser.editor_options.wrapCode,
-            autoCloseBrackets: pgAdmin.Browser.editor_options.insert_pair_brackets,
-            matchBrackets: pgAdmin.Browser.editor_options.brace_matching
-          });
+        (self.$el.find('textarea')[0]), {
+          lineNumbers: true,
+          mode: 'text/x-pgsql',
+          extraKeys: pgAdmin.Browser.editor_shortcut_keys,
+          indentWithTabs: pgAdmin.Browser.editor_options.indent_with_tabs,
+          indentUnit: pgAdmin.Browser.editor_options.tabSize,
+          tabSize: pgAdmin.Browser.editor_options.tabSize,
+          lineWrapping: pgAdmin.Browser.editor_options.wrapCode,
+          autoCloseBrackets: pgAdmin.Browser.editor_options.insert_pair_brackets,
+          matchBrackets: pgAdmin.Browser.editor_options.brace_matching,
+        });
 
       // Disable editor
       if (isDisabled) {
-        self.sqlCtrl.setOption("readOnly", "nocursor");
+        self.sqlCtrl.setOption('readOnly', 'nocursor');
         var cm = self.sqlCtrl.getWrapperElement();
         if (cm) {
           cm.className += ' cm_disabled';
@@ -2085,7 +2119,6 @@
       this.sqlCtrl.on('focus', this.onFocus);
       this.sqlCtrl.on('blur', this.onBlur);
 
-      var self = this;
       // Refresh SQL Field to refresh the control lazily after it renders
       setTimeout(function() {
         self.refreshTextArea.apply(self);
@@ -2120,39 +2153,39 @@
         this.$el.empty();
       }
 
-      this.model.off("pg-property-tab-changed", this.refreshTextArea, this);
+      this.model.off('pg-property-tab-changed', this.refreshTextArea, this);
 
       Backform.TextareaControl.prototype.remove.apply(this, arguments);
-    }
+    },
   });
 
   // We will use this control just as a annotate in Backform
-  var NoteControl = Backform.NoteControl = Backform.Control.extend({
+  Backform.NoteControl = Backform.Control.extend({
     defaults: {
-      label: gettext("Note"),
+      label: gettext('Note'),
       text: '',
       extraClasses: [],
-      noteClass: 'backform_control_notes'
+      noteClass: 'backform_control_notes',
     },
     template: _.template([
       '<div class="<%=noteClass%> pg-el-xs-12 <%=extraClasses.join(\' \')%>">',
       '<label class="control-label"><%=label%>:</label>',
-      '<span><%=text%></span></div>'
-    ].join("\n"))
+      '<span><%=text%></span></div>',
+    ].join('\n')),
   });
 
   /*
-  * Input File Control: This control is used with Storage Manager Dialog,
-  * It allows user to perform following operations:
-  * - Select File
-  * - Select Folder
-  * - Create File
-  * - Opening Storage Manager Dialog itself.
-  */
-  var FileControl = Backform.FileControl = Backform.InputControl.extend({
+   * Input File Control: This control is used with Storage Manager Dialog,
+   * It allows user to perform following operations:
+   * - Select File
+   * - Select Folder
+   * - Create File
+   * - Opening Storage Manager Dialog itself.
+   */
+  Backform.FileControl = Backform.InputControl.extend({
     defaults: {
-      type: "text",
-      label: "",
+      type: 'text',
+      label: '',
       min: undefined,
       max: undefined,
       maxlength: 255,
@@ -2160,40 +2193,40 @@
       dialog_title: '',
       btn_primary: '',
       helpMessage: null,
-      dialog_type: 'select_file'
+      dialog_type: 'select_file',
     },
-    initialize: function(){
+    initialize: function() {
       Backform.InputControl.prototype.initialize.apply(this, arguments);
     },
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
-        '<div class="file_selection_ctrl form-control">',
-          '<input type="<%=type%>" class="browse_file_input form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
-          '<button class="btn fa fa-ellipsis-h select_item pull-right" <%=disabled ? "disabled" : ""%> ></button>',
-          '<% if (helpMessage && helpMessage.length) { %>',
-          '<span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
-          '<% } %>',
-        '</div>',
-      '</div>'
-    ].join("\n")),
+      '<div class="file_selection_ctrl form-control">',
+      '<input type="<%=type%>" class="browse_file_input form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '<button class="btn fa fa-ellipsis-h select_item pull-right" <%=disabled ? "disabled" : ""%> ></button>',
+      '<% if (helpMessage && helpMessage.length) { %>',
+      '<span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
+      '<% } %>',
+      '</div>',
+      '</div>',
+    ].join('\n')),
     events: function() {
       // Inherit all default events of InputControl
       return _.extend({}, Backform.InputControl.prototype.events, {
-        "click .select_item": "onSelect"
+        'click .select_item': 'onSelect',
       });
     },
-    onSelect: function(ev) {
+    onSelect: function() {
       var dialog_type = this.field.get('dialog_type'),
-          supp_types = this.field.get('supp_types'),
-          btn_primary = this.field.get('btn_primary'),
-          dialog_title = this.field.get('dialog_title'),
-          params = {
-            supported_types: supp_types,
-            dialog_type: dialog_type,
-            dialog_title: dialog_title,
-            btn_primary: btn_primary
-          };
+        supp_types = this.field.get('supp_types'),
+        btn_primary = this.field.get('btn_primary'),
+        dialog_title = this.field.get('dialog_title'),
+        params = {
+          supported_types: supp_types,
+          dialog_type: dialog_type,
+          dialog_title: dialog_title,
+          btn_primary: btn_primary,
+        };
 
       pgAdmin.FileManager.init();
       pgAdmin.FileManager.show_dialog(params);
@@ -2201,9 +2234,8 @@
       this.listen_file_dlg_events();
     },
     storage_dlg_hander: function(value) {
-      var field = _.defaults(this.field.toJSON(), this.defaults),
-          attrArr = this.field.get("name").split('.'),
-          name = attrArr.shift();
+      var attrArr = this.field.get('name').split('.'),
+        name = attrArr.shift();
 
       this.remove_file_dlg_event_listeners();
 
